
Foreman - Refactor #30860

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Create SettingPresenter as a proxy for setting UI values

09/16/2020 02:30 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 2.3.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8001

  

Description

Related issues:

Blocks Foreman - Refactor #30861: Move setting value collections to SettingPr... Closed

Blocks Foreman - Feature #30862: Introduce SettingRegistry as a setting inven... Closed

Associated revisions

Revision e037f70d - 10/07/2020 05:30 PM - Ondřej Ezr

Fixes #30860 - introduce SettingPresenter (#8001)

Introduces SettingPresenter, that should keep all the information about setting.

This aims to keep such information only in the code and remove them from the DB.

This only prepares the ground for future drop of this information from DB.

We should slowly move most of the logic to the SettingPresenter from Setting.

Setting model should be kept only as an interface to the key/value storage.

DB will only hold key/value of changed settings.

History

#1 - 09/16/2020 03:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8001 added

#2 - 09/16/2020 03:22 PM - Ondřej Ezr

- Related to Refactor #30861: Move setting value collections to SettingPresenter added

#3 - 09/16/2020 03:22 PM - Ondřej Ezr

- Related to deleted (Refactor #30861: Move setting value collections to SettingPresenter)

#4 - 09/16/2020 03:22 PM - Ondřej Ezr

- Precedes Refactor #30861: Move setting value collections to SettingPresenter added

#5 - 09/16/2020 03:22 PM - Ondřej Ezr

- Precedes deleted (Refactor #30861: Move setting value collections to SettingPresenter)

#6 - 09/16/2020 03:23 PM - Ondřej Ezr

- Blocks Refactor #30861: Move setting value collections to SettingPresenter added
#7 - 09/16/2020 09:20 PM - Ondřej Ezr

- Blocks Feature #30862: Introduce SettingRegistry as a setting inventory added

#8 - 10/07/2020 05:30 PM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#9 - 10/07/2020 06:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e037f70d6fe7c0f282db22fcdc6221c49dc35b15.
